using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Input;

namespace SLPrismApplicationForClickCommand
{
    public class ButtonBaseClickCommandBehavior : CommandBehaviorBase<ButtonBase>
    {
        public ButtonBaseClickCommandBehavior(ButtonBase clickableObject)
        {
            clickableObject.Click += OnClick;
        }
      
        private void OnClick(object sender, System.Windows.RoutedEventArgs e)
        {
            ExecuteCommand();
        }
    }
}